View Issue Details

IDProjectCategoryView StatusLast Update
0026837mantisbtdb mssqlpublic2021-03-08 08:46
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Target Version2.25.0Fixed in Version2.25.0 
Summary0026837: Update ADOdb to 5.20.20
Description

Bug fixes https://github.com/ADOdb/ADOdb/blob/v5.20.20/docs/changelog.md

Not expecting any regression to MantisBT codebase with this release.

Additional Information
TagsNo tags attached.

Relationships

related to 0026598 closeddregad Update ADOdb to 5.20.16 
related to 0028015 assigneddregad Update ADOdb to 5.21.0 
child of 0027830 closeddregad PHP 8.0 PostgreSQL builds fail due to deprecated pg_fieldsize() function 

Activities

dregad

dregad

2020-08-02 12:34

developer   ~0064219

ADOdb 5.20.18 was released on 28-Jun-2020

dregad

dregad

2020-12-17 11:13

developer   ~0064807

ADOdb 5.20.19 was released on 13-Dec-2020

Includes a fix for MySQL 8 which may affect users running this RDBMS.

dregad

dregad

2021-02-14 17:39

developer   ~0065109

ADOdb 5.20.20 was released on 01-Feb-2021

Fixes PHP 8 compatibility issues including 0027830

Related Changesets

MantisBT: master f9802779

2020-04-01 02:25:58

dependabot-preview[bot]


Committer: dregad Details Diff
Bump adodb/adodb-php from 5.20.16 to 5.20.17

Bumps [adodb/adodb-php](https://github.com/ADOdb/ADOdb) from 5.20.16 to 5.20.17.
- [Release notes](https://github.com/ADOdb/ADOdb/releases)
- [Changelog](https://github.com/ADOdb/ADOdb/blob/master/docs/changelog.md)
- [Commits](https://github.com/ADOdb/ADOdb/compare/v5.20.16...v5.20.17)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

Fixes 0026837, https://github.com/mantisbt/mantisbt/pull/1642
Affected Issues
0026837
mod - composer.lock Diff File

MantisBT: master 6107368c

2020-08-02 12:33:15

dependabot-preview[bot]


Committer: community Details Diff
Bump adodb/adodb-php from 5.20.17 to 5.20.18

Bumps [adodb/adodb-php](https://github.com/ADOdb/ADOdb) from 5.20.17 to 5.20.18.
- [Release notes](https://github.com/ADOdb/ADOdb/releases)
- [Changelog](https://github.com/ADOdb/ADOdb/blob/5.20.18/docs/changelog.md)
- [Commits](https://github.com/ADOdb/ADOdb/compare/v5.20.17...5.20.18)

Fixes 0026837, PR https://github.com/mantisbt/mantisbt/pull/1681

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>
Co-authored-by: dependabot-preview[bot] <27856297+dependabot-preview[bot]@users.noreply.github.com>
Affected Issues
0026837
mod - composer.lock Diff File

MantisBT: master 2485659b

2020-12-16 00:39:27

dependabot-preview[bot]


Committer: dregad Details Diff
Bump adodb/adodb-php from 5.20.18 to 5.20.19

Bumps [adodb/adodb-php](https://github.com/ADOdb/ADOdb) from 5.20.18 to 5.20.19.
- [Release notes](https://github.com/ADOdb/ADOdb/releases)
- [Changelog](https://github.com/ADOdb/ADOdb/blob/v5.20.19/docs/changelog.md)
- [Commits](https://github.com/ADOdb/ADOdb/compare/v5.20.18...v5.20.19)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

Fixes 0026837, PR https://github.com/mantisbt/mantisbt/pull/1717
Affected Issues
0026837
mod - composer.lock Diff File

MantisBT: master c9fc9a84

2021-02-02 00:25:51

dependabot-preview[bot]


Committer: dregad Details Diff
Bump adodb/adodb-php from 5.20.19 to 5.20.20

Bumps [adodb/adodb-php](https://github.com/ADOdb/ADOdb) from 5.20.19 to 5.20.20.
- [Release notes](https://github.com/ADOdb/ADOdb/releases)
- [Changelog](https://github.com/ADOdb/ADOdb/blob/master/docs/changelog.md)
- [Commits](https://github.com/ADOdb/ADOdb/compare/v5.20.19...v5.20.20)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

Fixes 0026837, 0027830, PR https://github.com/mantisbt/mantisbt/pull/1735
Affected Issues
0026837, 0027830
mod - composer.lock Diff File